CFPRIME CHAREA                                                          CHAREA      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE CHAREA(AREA,IAREA)                                     CHAREA      3
CD                                                                      CHAREA      4
CD    TO FIND THE AREA NUMBER FROM THE GIVEN AREA NAME.                 CHAREA      5
CD                                                                      CHAREA      6
CD    IF THE AREA NAME IS NOT FOUND, IAREA = 0                          CHAREA      7
CD                                                                      CHAREA      8
      INCLUDE 'PARX.INS'                                                CHAREA      9
      INCLUDE 'EPBUS.INS'                                               CHAREA     10
      CHARACTER*12 LAREA,AREA                                           CHAREA     11
      CHARACTER*4 IAARE(JAR,3)                                          CHAREA     12
      EQUIVALENCE (IARE,IAARE)                                          CHAREA     13
      DO 100 I=1,NMAREA                                                 CHAREA     14
      LAREA=IAARE(I,1)//IAARE(I,2)//IAARE(I,3)                          CHAREA     15
      IF(AREA.EQ.LAREA)THEN                                             CHAREA     16
       IAREA=INTARA(I)                                                  CHAREA     17
       RETURN                                                           CHAREA     18
      ENDIF                                                             CHAREA     19
 100  CONTINUE                                                          CHAREA     20
      IAREA=0                                                           CHAREA     21
      RETURN                                                            CHAREA     22
      END                                                               CHAREA     23
      SUBROUTINE CHZONE(ZONE,IZONE)                                     CHAREA     24
CD                                                                      CHAREA     25
CD    TO FIND THE ZONE NUMBER FROM THE GIVEN ZONE NAME.                 CHAREA     26
CD                                                                      CHAREA     27
CD    IF THE ZONE NAME IS NOT FOUND, IZONE = 0                          CHAREA     28
CD                                                                      CHAREA     29
      INCLUDE 'PARX.INS'                                                CHAREA     30
      INCLUDE 'EPBUS.INS'                                               CHAREA     31
      CHARACTER*12 LZONE,ZONE                                           CHAREA     32
      CHARACTER*4 NAMEZN(JZN,3)                                         CHAREA     33
      EQUIVALENCE (NAMZN,NAMEZN)                                        CHAREA     34
      DO 100 I=1,NUMZON                                                 CHAREA     35
      LZONE=NAMEZN(I,1)//NAMEZN(I,2)//NAMEZN(I,3)                       CHAREA     36
      IF(ZONE.EQ.LZONE)THEN                                             CHAREA     37
        IZONE=INTZON(I)                                                 CHAREA     38
        RETURN                                                          CHAREA     39
      ENDIF                                                             CHAREA     40
 100  CONTINUE                                                          CHAREA     41
      IZONE=0                                                           CHAREA     42
      RETURN                                                            CHAREA     43
      END                                                               CHAREA     44
